<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.gh.gamecenter.qqgame">

    <uses-permission android:name="android.permission.INTERNET" />
    <application>

        <!-- QQ小游戏广告相关页面，默认进程为光环客户端进程，这里将进程修改为QQ小游戏的进程，解决关闭广告页面未跳转回QQ小游戏的问题 -->

        <activity
            android:name="com.qq.e.ads.ADActivity"
            android:taskAffinity=".mini1" />
        <activity
            android:name="com.qq.e.ads.PortraitADActivity"
            android:taskAffinity=".mini1" />
        <activity
            android:name="com.qq.e.ads.LandscapeADActivity"
            android:taskAffinity=".mini1" />
        <!-- 用于激励视频可选广告的竖屏透明背景activity -->
        <activity
            android:name="com.qq.e.ads.RewardvideoPortraitADActivity"
            android:taskAffinity=".mini1" />
        <!-- 用于激励视频可选广告的横屏透明背景activity -->
        <activity
            android:name="com.qq.e.ads.RewardvideoLandscapeADActivity"
            android:taskAffinity=".mini1" />
        <activity
            android:name="com.qq.e.ads.DialogActivity"
            android:taskAffinity=".mini1" />

        <activity
            android:name="com.tencent.qqmini.sdk.launcher.ui.MiniFragmentActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:exported="false"
            android:hardwareAccelerated="true" />

        <activity
            android:name="com.tencent.qqmini.sdk.launcher.ui.MiniTranslucentFragmentActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:exported="false"
            android:hardwareAccelerated="true"
            android:theme="@android:style/Theme.Translucent" />

        <service
            android:name="com.tencent.qqmini.sdk.server.AppMainService"
            android:enabled="true"
            android:exported="false"/>

        <!-- QQ小游戏广告相关页面，默认进程为光环客户端进程，这里将进程修改为QQ小游戏的进程，解决关闭广告页面未跳转回QQ小游戏的问题 -->

    </application>

</manifest>